<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('13','creates','R');     
$_SESSION['cuPages']='pro_subcategorycreate.php';   
$cuPage='pro_subcategorycreate.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='product';
$menuh='Product Process';
$phead='scatcre';
$page='Create Sub-Category';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['save_subcategory'])){
	$name = ucwords(remove_junk(escape($_POST['name'])));
    $catid = remove_junk(escape($_POST['catid']));
    $description = remove_junk(escape($_POST['description']));
	
	if(isset($_POST['name'])){
	$ducode = mysqli_query($con,"SELECT * FROM tbl_subcat WHERE name = '$name' AND catid='$catid'");
	}
	
	if($ducode->num_rows > 0) {
	save_msg('i','Sub-Category name alrady used under selected category! Plz try another');
	echo "<script>window.location='pro_subcategorycreate.php'</script>";
	}else{    
    $sql="INSERT INTO tbl_subcat(pid,catid,name,description,uid,date) VALUES (NULL,$catid,'$name','$description','$aid','$dtnow')";    
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
    $efid=mysqli_affected_rows($con);      
    if($efid>0){
    $act =remove_junk(escape('Sub-Category name: '.$name));    
    write_activity($aid,'SUB','New Sub-Category has been created',$act);    
    save_msg('s','Data Successfully Saved!');
    }else{
    save_msg('w','Data Fail to Saved!');    
    }
    echo "<script>window.location='pro_subcategorycreate.php'</script>";  
	}  
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Create New Sub-Category For Product</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>  
<form action="pro_subcategorycreate.php" onsubmit="return validate()" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">

<div class="row ">
<div class="col-md-12">
<div class="col-md-3"></div>
<div class="col-md-6">
<div class="form-group">
<label>Sub-Category Name</label>
<input type="text" name="name" maxlength="45" value="" id="sname" class="form-control" placeholder="Sub-Category Name" />
</div>
<div class="form-group">
<label>Select Category</label>
<select class="form-control select2" name="catid" id="catid">
<option value="">-Select-</option>
<?php									
$querys=mysqli_query($con,"SELECT * FROM tbl_category ORDER BY id ASC")or die(mysqli_error($con));
while ($rows=mysqli_fetch_array($querys)){
?>
<option value="<?php echo $rows['id'];?>"><?php echo $rows['name'];?></option>
<?php } ?>
</select>    
</div>    
<div class="form-group">
<label>Description</label>
<textarea class="form-control" maxlength="250" rows="6" name="description" placeholder="Description"></textarea>
</div>   
</div>    
<div class="col-md-3"></div>    
</div>    
</div>    

</div>
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<input type="submit" name="save_subcategory" id="submit" class="btn btn-flat bg-purple btn-sm " value="Save"/> <a href="pro_subcategorylist.php" class="btn btn-flat bg-gray  ">Close</a>
</div> 
</div>     
</form>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'SUB','A');}else{echo read_activity($aid,'SUB','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>

<?php include('../layout/quick.php');?>     
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function () {  
var sname = new LiveValidation('sname');
sname.add(Validate.Presence);
var catid = new LiveValidation('catid');
catid.add(Validate.Presence);    
});
</script>    
<!-- /page script -->
</html>    